<?xml version="1.0"?>

<st-source>
<time-stamp>From VisualWorks®, 7.3.1 of April 20, 2005 on January 31, 2008 at 11:29:15 am</time-stamp>


<methods>
<class-id>PROVISO.PvChannelManagerApplication</class-id> <category>private</category>

<body package="PV-CMG" selector="buildApplicationSpecsFromConfiguration:">buildApplicationSpecsFromConfiguration: configuration 

	| applicationSpecs numbers |
	applicationSpecs := OrderedCollection new.

	"Find all the numbers in the config file - APPLICATION.1 ... APPLICATION.n"
	numbers := OrderedCollection new.
	configuration keys do:
		[:key | | parts |
		parts := key findTokens: '.'.
		parts notEmpty
			ifTrue: [numbers add: parts first asNumber]].
	numbers remove: 0 ifAbsent:[].

	numbers asSet do: 
		[:index | 
		self 
			addApplicationSpecTo: applicationSpecs 
			correspondingTo: index 
			fromConfiguration: configuration].
	^applicationSpecs</body>
</methods>

</st-source>
